Subject: Re: bug#77746: [PATCH] sh-mode: Fix incorrect word syntax for punctuation in sh-mode

From: James Cherti <[email-masked]>
Date: Mon, 28 Apr 2025 12:13:51 -0400

Hello Eli,

I am the only person who has expressed a definitive opinion
that merging this would benefit Sh and Bash scripts. I have
been using this patch for over a year without any issues.
This change is similar to the one previously merged to treat
"/" as punctuation:

commit f6277911eb2c520aec8f0efd80c91999226e3322
Author: Dmitry Gutov <[email-masked]>
Date:   2020-10-02 07:11:56 +0200
     Make xref work better on variables in shell-script-mode
     * lisp/progmodes/sh-script.el (sh-mode-syntax-table): Classify "/"
     as punctuation so that `M-.' on $foo/bar works on the $foo part
     (bug#25585).

The above patch was accepted.

@Stefan @Juri: Have you been able to perform any checks that
would allow this patch to be merged?

I hope that Stefan, Juri, or you, Eli, will review the
discussion and make a decision. I have sent numerous emails
with explanations.

Thanks,
James Cherti
GitHub: https://github.com/jamescherti
Website: https://www.jamescherti.com/

On 2025-04-26 08:23, Eli Zaretskii wrote:
>> Date: Thu, 17 Apr 2025 09:01:31 -0400
>> From: James Cherti <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked]
>>
>> Hello Eli,
>>
>> Attached is v3 of this patch.
>>
>> (I have updated the commit message to include more details
>> and reintroduced the '.' character.)
> 
> Thanks.  I'm not sure whether the discussion was concluded and we are
> all okay with this change.  Stefan and Juri, please tell what you
> think we should do next.
> 
> 
>